JS(3)

NAME
libjs - Mozilla JavaScript C API

SYNOPSIS
    cc `js-config --cppflags` -o foo foo.c `js-config --ldflags --libs`
    cc `pkg-config --cflags js` -o foo foo.c `pkg-config --libs js`

DESCRIPTION
The Mozilla JavaScript C API is the programmatic interface to the Mozilla JavaScript language engine ("SpiderMonkey"). For the complete reference documentation of the Mozilla JavaScript C API please see the following online documents:

JS Embedder's Guide
    http://www.mozilla.org/js/spidermonkey/apidoc/jsguide.html

JS Embedder's Reference
    http://www.mozilla.org/js/spidermonkey/apidoc/complete-frameset.html

SEE ALSO
js-config(1), js(1)

    http://www.mozilla.org/js/spidermonkey/
    http://www.ossp.org/pkg/lib/js/

AUTHOR
The author of the Mozilla JavaScript language implementation ("SpiderMonkey") is Brendan Eich from the Mozilla Foundation. This manual page was written by Ralf S. Engelschall for the OSSP js distribution of Mozilla JavaScript.